//+------------------------------------------------------------------+
//|                                                     i_hist_test  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Bookkeeper"
#property link      "yuzefovich@gmail.com"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 ForestGreen 
#property indicator_color2 Red

extern int SeniorPeriod=1; // =1 (H1)
                           // =2 (H4)
                           // =3 (D1)
extern int EMAPeriod=13;
extern int DrawBars=1000;

double GreenBuffer[];
double RedBuffer[];
double SGreenBuffer[];
double SRedBuffer[];

string smbl[14]={
                 //------
                 "EURJPY",
                 "AUDUSD",
                 "AUDJPY",
                 "NZDJPY",
                 "GBPCHF",
                 "EURNZD",
                 "CADJPY",
                 //------
                 "CHFJPY",
                 "EURUSD",
                 "EURCHF",
                 "AUDCHF",
                 "USDJPY",
                 "AUDNZD",
                 "GBPJPY"
                };
double smbl_movement[14]={0,0,0,0,0,0,0,0,0,0,0,0,0,0};
int smbl_N_sort[14]={0,0,0,0,0,0,0,0,0,0,0,0,0,0};
double smbl_movement_sort[14]={0,0,0,0,0,0,0,0,0,0,0,0,0,0};

//+------------------------------------------------------------------+
int deinit()
{
   Comment("");
   return(0);
}
//+------------------------------------------------------------------+
int init()
{
   IndicatorBuffers(4);
   SetIndexStyle(0,DRAW_LINE,EMPTY,2);
   SetIndexStyle(1,DRAW_LINE,EMPTY,2);
   SetIndexBuffer(0,SGreenBuffer);
   SetIndexBuffer(1,SRedBuffer);
   SetIndexBuffer(2,GreenBuffer);
   SetIndexBuffer(3,RedBuffer);
   string prd;
   if(SeniorPeriod==1) prd="H1";
   if(SeniorPeriod==2) prd="H4";
   if(SeniorPeriod==3) prd="D1";
   IndicatorShortName("Longs & Shorts Trst ( "+prd+" )");
   return(0);
}
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
int start()
{
   int SeniorTF;
   if(SeniorPeriod==1) SeniorTF=60;
   else
   {
      if(SeniorPeriod==2) SeniorTF=240;
      else SeniorTF=1440;
   }
   int ExtCountedBars=IndicatorCounted();
   if(ExtCountedBars<0) return(-1);
   if(ExtCountedBars>0) ExtCountedBars--;
   int limit=Bars-ExtCountedBars-1;
   if(limit>Bars-SeniorTF) limit=Bars-SeniorTF;
   if(limit>DrawBars) limit=DrawBars;
   for(int i=0; i<limit; i++)
   {
      double sumbuy=0, sumsell=0;
      datetime timenow=iTime("EURUSD",PERIOD_M1,i);//    (?)
      datetime timestart=iTime("EURUSD",PERIOD_M1,i+SeniorTF);
      for(int j=0; j<14; j++)
      {
         int q;
         if(j<7) q=-1; else q=1;
         string sm=smbl[j];
         int ii=iBarShift(sm,PERIOD_M1,timenow);
         int jj=iBarShift(sm,PERIOD_M1,timestart);
         double p;
         if(StringFind(sm,"JPY")>=0) p=0.01; else p=0.0001;
         double sp=MarketInfo(sm,MODE_SPREAD);
         double pp=MarketInfo(sm, MODE_TICKVALUE);
         double mv=((iClose(sm,PERIOD_M1,ii)-iClose(sm,PERIOD_M1,jj))/p*q-sp)*pp;
         smbl_movement[j]=mv;
         if(j<7) sumsell=sumsell+smbl_movement[j];
         else sumbuy=sumbuy+smbl_movement[j];
      }
      GreenBuffer[i]=sumbuy;
      RedBuffer[i]=sumsell;
   }
   for(i=0; i<limit; i++)
   {
      SGreenBuffer[i]=iMAOnArray(GreenBuffer,0,EMAPeriod,0,MODE_EMA,i);
      SRedBuffer[i]=iMAOnArray(RedBuffer,0,EMAPeriod,0,MODE_EMA,i);
   }
   return(0);
}
//+------------------------------------------------------------------+